Signs a message using the specified WAAS wallet through an MPC ceremony.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/signMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"isFormatted": true,
"roomId": "<string>",
"context": {
"evmUserOperation": {
"chainId": 123,
"entryPoint": "<string>",
"operation": {
"authorization": {
"address": "<string>",
"chainId": 123,
"nonce": 123,
"r": "<string>",
"s": "<string>",
"v": "<string>",
"yParity": 123
},
"callData": "<string>",
"callGasLimit": "<string>",
"factory": "<string>",
"factoryData": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": "<string>",
"paymaster": "<string>",
"paymasterData": "<string>",
"paymasterPostOpGasLimit": "<string>",
"paymasterVerificationGasLimit": "<string>",
"preVerificationGas": "<string>",
"sender": "<string>",
"signature": "<string>",
"verificationGasLimit": "<string>"
}
},
"evmMessage": "<string>",
"svmMessage": "<string>",
"suiMessage": "<string>",
"stellarMessage": "<string>",
"domain": "https://app.xyz.com"
},
"bitcoinConfig": {
"addressType": "<string>",
"network": "<string>"
},
"shareSetId": "95b11417-f18f-457f-8804-68e361f9164f"
}
'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/signMessage"
payload = {
"message": "<string>",
"isFormatted": True,
"roomId": "<string>",
"context": {
"evmUserOperation": {
"chainId": 123,
"entryPoint": "<string>",
"operation": {
"authorization": {
"address": "<string>",
"chainId": 123,
"nonce": 123,
"r": "<string>",
"s": "<string>",
"v": "<string>",
"yParity": 123
},
"callData": "<string>",
"callGasLimit": "<string>",
"factory": "<string>",
"factoryData": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": "<string>",
"paymaster": "<string>",
"paymasterData": "<string>",
"paymasterPostOpGasLimit": "<string>",
"paymasterVerificationGasLimit": "<string>",
"preVerificationGas": "<string>",
"sender": "<string>",
"signature": "<string>",
"verificationGasLimit": "<string>"
}
},
"evmMessage": "<string>",
"svmMessage": "<string>",
"suiMessage": "<string>",
"stellarMessage": "<string>",
"domain": "https://app.xyz.com"
},
"bitcoinConfig": {
"addressType": "<string>",
"network": "<string>"
},
"shareSetId": "95b11417-f18f-457f-8804-68e361f9164f"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
isFormatted: true,
roomId: '<string>',
context: {
evmUserOperation: {
chainId: 123,
entryPoint: '<string>',
operation: {
authorization: {
address: '<string>',
chainId: 123,
nonce: 123,
r: '<string>',
s: '<string>',
v: '<string>',
yParity: 123
},
callData: '<string>',
callGasLimit: '<string>',
factory: '<string>',
factoryData: '<string>',
maxFeePerGas: '<string>',
maxPriorityFeePerGas: '<string>',
nonce: '<string>',
paymaster: '<string>',
paymasterData: '<string>',
paymasterPostOpGasLimit: '<string>',
paymasterVerificationGasLimit: '<string>',
preVerificationGas: '<string>',
sender: '<string>',
signature: '<string>',
verificationGasLimit: '<string>'
}
},
evmMessage: '<string>',
svmMessage: '<string>',
suiMessage: '<string>',
stellarMessage: '<string>',
domain: 'https://app.xyz.com'
},
bitcoinConfig: {addressType: '<string>', network: '<string>'},
shareSetId: '95b11417-f18f-457f-8804-68e361f9164f'
})
};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/signMessage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}{
"error": "<string>"
}{
"error": "No jwt provided!"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
Sign Message Request
A string with a max length of 204800 characters
204800When true, message is treated as a pre-computed 32-byte hash (64 hex characters, optionally with a leading 0x) and signed by the MPC server as-is ("raw signing"). When false or omitted, the SDK hashes the message bytes using the chain's standard algorithm (e.g. keccak256 for EVM).
MPC room identifier for the signing session
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional identifier of the share set this operation targets. When
omitted, the active rootUser share set for walletId is resolved
server-side (backwards-compat fallback for older SDKs).
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Response
Successfully created a room for signing message ceremony
Unique identifier of the opened MPC room
List of existing server-side key generation identifiers
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$List of newly generated server-side key generation identifiers
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
